Subject: Re: GDB hangs on Win2K
From: Marat Boshernitsan <[email-masked]>
To: Andrew Begel <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: 10 May 2000 22:59:34 -0700

This is the message Chris was refering to:

http://sourceware.cygnus.com/ml/cygwin/2000-04/msg00420.html

Just get his version of gdb.

Marat.

Andrew Begel <[email-masked]> writes:

> I'm trying to use the Cygwin 1.1.0 version of GDB on my Win2K box to debug
> an application I compiled with gcc. I load up gdb with the debug version of
> my app, and hit run (well, gdb -nw). It says that it loads all the DLLs my
> app is dependent on, but then hangs. I have to use the task manager to quit
> my bash shell that started it. (Same thing happens on the graphical version
> of gdb). 
> 
> The same app can be debugged perfectly on a WinNT box. (just copied the
> binary over). 
> 
> Is there some easy way to enable/fix gdb debugging on Win2K? 
> 
> I did check it out a bit with the VC++ debugger (can't use gdb to attach to
> processes on windows) and found that GDB was in an infinite loop between
> cygwin1.dll and kernel32.dll. I don't yet have symbols for kernel32.dll, and
> well, it appears that gcc symbols (even with -gcoff) aren't compatible with
> Windows debuggers (which claim to use an extension of COFF), so all I could
> tell was that it was in an infinite loop, and not what functions it is
> running.
> 
> Andrew
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]